# vim: set ft=spec: -*- rpm-spec -*-
# $Id: mingw32-binutils,v 1.4 2003/06/28 13:56:26 raorn Exp $

%define cross_arch mingw32
%define cross_fullarch i386-mingw32msvc

%define _archlibdir %_libdir/%cross_fullarch

Name: %cross_arch-binutils
Version: 2.13.90.0.4
Release: alt3

Summary: GNU Binary Utility Development Utilities
License: GPL
Group: Development/Other
URL: http://sourceware.cygnus.com/binutils

PreReq: %cross_arch-runtime

Source: ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%version.tar.bz2

Conflicts: %cross_arch-gcc < 3.3

# Automatically added by buildreq on Wed May 07 2003 and checked by raorn
BuildPreReq: flex

%description
Binutils is a collection of binary utilities, including:
+ addr2line: converting addresses to file and line;
+ ar: creating modifying and extracting from archives;
+ nm: listing symbols from object files;
+ objcopy: copying and translating object files;
+ objdump: displaying information from object files;
+ ranlib: generating an index for the contents of an archive;
+ size: listing the section sizes of an object or archive file;
+ strings: listing printable strings from files;
+ strip: discarding symbols.

This package contains crosscompilation tools for %cross_fullarch
target.

%prep
%setup -q -n binutils-%version

%build
%undefine __libtoolize
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
./configure \
	--build=%_target_platform \
	--host=%_target_platform \
	--target=%cross_fullarch \
	--prefix=%_prefix \
	--mandir=%_mandir \
	--infodir=%_infodir \
	--includedir=%_archlibdir/include \
	--libdir=%_archlibdir/lib \
	--exec-prefix=%_libdir \
	--disable-nls \
	--enable-languages="c,c++,objc,f77,ada"
%make_build

%install
%__mkdir_p %buildroot{%archincludedir,%archlibdir}
%makeinstall \
	prefix=%buildroot%_prefix \
	includedir=%buildroot%_archlibdir/include \
	libdir=%buildroot%_archlibdir/lib \
	exec_prefix=%buildroot%_libdir

%files
%_bindir/%cross_fullarch-*
%_archlibdir/bin/*
%_archlibdir/lib/ldscripts

%changelog
* Sat Jun 28 2003 Sir Raorn <raorn@altlinux.ru> 2.13.90.0.4-alt3
- c++filt is no longer provided by gcc 3.3+

* Wed May 07 2003 Sir Raorn <raorn@altlinux.ru> 2.13.90.0.4-alt2
- Pre-require %cross_arch-runtime

* Tue May 06 2003 Sir Raorn <raorn@altlinux.ru> 2.13.90.0.4-alt1
- Built for Sisyphus
 (Based on avr-* packages by week and crossutils-mingw32 by vsl)


